problems with twisted tarball during initial install

#1

following the directions to install autobahn, when I get to the python setup.py install, i get the following error message:

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

error: Not a recognized archive type: /tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

Looks like the tarball for twisted is corrupt?

Any ideas?

Thanks,

Pete

0 Likes

#2

following the directions to install autobahn, when I get to the python
setup.py install, i get the following error message:

Downloading
https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79
Processing Twisted-13.2.0.tar.bz2
error: Not a recognized archive type:
/tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

Looks like the tarball for twisted is corrupt?

Hi Peter,

It looks like you are on some kind of Unix system?

If so, do you have bzip2 installed?

I have just checked above (though we're not responsible for PyPI .. thats Python project): it's not corrupt:

wget --no-check-certificate https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

openssl md5 Twisted-13.2.0.tar.bz2
MD5(Twisted-13.2.0.tar.bz2)= 83fe6c0c911cc1602dbffb036be0ba79

See that matching fingerprint?

83fe6c0c911cc1602dbffb036be0ba79

That means it's not ok and untampered.

Most likely, you don't have bzip2, or a Python that was built without support for bzip2.

/Tobias

[oberstet@tvd_build_txpypy ~/temp]$ which bzip2
/usr/bin/bzip2
[oberstet@tvd_build_txpypy ~/temp]$ python -c "import bz2; print bz2"
<module 'bz2' from '/home/oberstet/python276/lib/python2.7/lib-dynload/bz2.so'>

[oberstet@tvd_build_txpypy ~/temp]$ wget --no-check-certificate https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79
--2013-11-23 21:33:34-- https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2
Resolving pypi.python.org (pypi.python.org)... 185.31.17.184, 185.31.17.185
Connecting to pypi.python.org (pypi.python.org)|185.31.17.184|:443... connected.
WARNING: cannot verify pypi.python.org's certificate, issued by '/C=US/O=DigiCert Inc/OU=www.digicert.com/CN=DigiCert High Assurance CA-3':
   Unable to locally verify the issuer's authority.
HTTP request sent, awaiting response... 200 OK
Length: 2704819 (2.6M) [application/octet-stream]
Saving to: 'Twisted-13.2.0.tar.bz2.1'

100%[=======================================================================================================================================>] 2,704,819 1.47MB/s in 1.8s

2013-11-23 21:33:36 (1.47 MB/s) - 'Twisted-13.2.0.tar.bz2.1' saved [2704819/2704819]

[oberstet@tvd_build_txpypy ~/temp]$ openssl md5 Twisted-13.2.0.tar.bz2
MD5(Twisted-13.2.0.tar.bz2)= 83fe6c0c911cc1602dbffb036be0ba79
[oberstet@tvd_build_txpypy ~/temp]$ bzip2 -d Twisted-13.2.0.tar.bz2
[oberstet@tvd_build_txpypy ~/temp]$ ls -la
total 18572
drwxr-xr-x 3 oberstet oberstet 7 Nov 23 21:34 .
drwxr-xr-x 15 oberstet oberstet 33 Nov 22 19:36 ..
-rw-r--r-- 1 oberstet oberstet 15994880 Nov 8 16:18 Twisted-13.2.0.tar
-rw-r--r-- 1 oberstet oberstet 2704819 Nov 8 16:18 Twisted-13.2.0.tar.bz2.1

···

Am 23.11.2013 22:09, schrieb Peter Kalajian:

Any ideas?

Thanks,
Pete

--
You received this message because you are subscribed to the Google
Groups "Autobahn" group.
To unsubscribe from this group and stop receiving emails from it, send
an email to autobahnws+...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

0 Likes

#3

Tobias,

Looks like you are right. I have libbz2 but not bzip2. I’m working on an arduino Yun, and there doesn’t seem to be an opkg bzip2 package. What now?

Pete

···

On Saturday, November 23, 2013 4:40:25 PM UTC-5, Tobias Oberstein wrote:

Am 23.11.2013 22:09, schrieb Peter Kalajian:

following the directions to install autobahn, when I get to the python

setup.py install, i get the following error message:

Downloading

https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

error: Not a recognized archive type:

/tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

Looks like the tarball for twisted is corrupt?

Hi Peter,

It looks like you are on some kind of Unix system?

If so, do you have bzip2 installed?

I have just checked above (though we’re not responsible for PyPI …
thats Python project): it’s not corrupt:

wget --no-check-certificate
https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

openssl md5 Twisted-13.2.0.tar.bz2

MD5(Twisted-13.2.0.tar.bz2)= 83fe6c0c911cc1602dbffb036be0ba79

See that matching fingerprint?

83fe6c0c911cc1602dbffb036be0ba79

That means it’s not ok and untampered.

Most likely, you don’t have bzip2, or a Python that was built without
support for bzip2.

/Tobias

[oberstet@tvd_build_txpypy ~/temp]$ which bzip2

/usr/bin/bzip2

[oberstet@tvd_build_txpypy ~/temp]$ python -c “import bz2; print bz2”

<module ‘bz2’ from
‘/home/oberstet/python276/lib/python2.7/lib-dynload/bz2.so’>

[oberstet@tvd_build_txpypy ~/temp]$ wget --no-check-certificate
[https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

–2013-11-23](https://www.google.com/url?q=https%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2FT%2FTwisted%2FTwisted-13.2.0.tar.bz2%23md5%3D83fe6c0c911cc1602dbffb036be0ba79--2013-11-23&sa=D&sntz=1&usg=AFQjCNHmHfPfdaMAyZvqxfTfSsbzS7kHbQ) 21:33:34–
https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2

Resolving pypi.python.org (pypi.python.org)… 185.31.17.184, 185.31.17.185

Connecting to pypi.python.org (pypi.python.org)|185.31.17.184|:443…
connected.

WARNING: cannot verify pypi.python.org’s certificate, issued by
‘/C=US/O=DigiCert Inc/OU=www.digicert.com/CN=DigiCert High Assurance CA-3’:

Unable to locally verify the issuer’s authority.

HTTP request sent, awaiting response… 200 OK

Length: 2704819 (2.6M) [application/octet-stream]

Saving to: ‘Twisted-13.2.0.tar.bz2.1’

100%[=======================================================================================================================================>]
2,704,819 1.47MB/s in 1.8s

2013-11-23 21:33:36 (1.47 MB/s) - ‘Twisted-13.2.0.tar.bz2.1’ saved
[2704819/2704819]

[oberstet@tvd_build_txpypy ~/temp]$ openssl md5 Twisted-13.2.0.tar.bz2

MD5(Twisted-13.2.0.tar.bz2)= 83fe6c0c911cc1602dbffb036be0ba79

[oberstet@tvd_build_txpypy ~/temp]$ bzip2 -d Twisted-13.2.0.tar.bz2

[oberstet@tvd_build_txpypy ~/temp]$ ls -la

total 18572

drwxr-xr-x 3 oberstet oberstet 7 Nov 23 21:34 .

drwxr-xr-x 15 oberstet oberstet 33 Nov 22 19:36 …

-rw-r–r-- 1 oberstet oberstet 15994880 Nov 8 16:18 Twisted-13.2.0.tar

-rw-r–r-- 1 oberstet oberstet 2704819 Nov 8 16:18
Twisted-13.2.0.tar.bz2.1

Any ideas?

Thanks,

Pete

You received this message because you are subscribed to the Google

Groups “Autobahn” group.

To unsubscribe from this group and stop receiving emails from it, send

an email to autobahnws+...@googlegroups.com.

For more options, visit https://groups.google.com/groups/opt_out.

0 Likes

#4

Tobias,

I got bzip2 installed, but still have the same message:

Installed /usr/lib/python2.7/site-packages/autobahn-0.5.2-py2.7.egg

Processing dependencies for autobahn==0.5.2

Searching for Twisted>=11.1

Reading http://pypi.python.org/simple/Twisted/

Best match: Twisted 13.2.0

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

error: Not a recognized archive type: /tmp/easy_install-O1LVHT/Twisted-13.2.0.tar.bz2

root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn# which bzip2

/usr/bin/bzip2

root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn#

···

On Saturday, November 23, 2013 4:09:28 PM UTC-5, Peter Kalajian wrote:

following the directions to install autobahn, when I get to the python setup.py install, i get the following error message:

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

error: Not a recognized archive type: /tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

Looks like the tarball for twisted is corrupt?

Any ideas?

Thanks,

Pete

0 Likes

#5

Tobias,

I got bzip2 installed, but still have the same message:

Your _Python_ needs bzip2 support. If it wasn't built when bzip2 was on the system, it'll have no bzip2 support even if you install it later ..

Anyway, I've repackaged the archive for you (neither Twisted nor Python projects seem to provide gz):

wget https://crossbar.io.s3.amazonaws.com/download/Twisted-13.2.0.tar.gz
tar xvzf Twisted-13.2.0.tar.gz
cd Twisted-13.2.0
easy_install zope.interface
python setup.py install

Could you send the output of the following commands?

uname -a
python -V
python -c "import bz2; print bz2"

I have never worked with Twisted on an Arduino Yun ..

/Tobias

···

Am 23.11.2013 23:18, schrieb Peter Kalajian:

Installed /usr/lib/python2.7/site-packages/autobahn-0.5.2-py2.7.egg
Processing dependencies for autobahn==0.5.2
Searching for Twisted>=11.1
Reading http://pypi.python.org/simple/Twisted/
Best match: Twisted 13.2.0
Downloading
https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79
Processing Twisted-13.2.0.tar.bz2
error: Not a recognized archive type:
/tmp/easy_install-O1LVHT/Twisted-13.2.0.tar.bz2
root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn# which bzip2
/usr/bin/bzip2
root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn#

On Saturday, November 23, 2013 4:09:28 PM UTC-5, Peter Kalajian wrote:

    following the directions to install autobahn, when I get to the
    python setup.py install, i get the following error message:

    Downloading
    https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79
    <https://www.google.com/url?q=https%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2FT%2FTwisted%2FTwisted-13.2.0.tar.bz2%23md5%3D83fe6c0c911cc1602dbffb036be0ba79&sa=D&sntz=1&usg=AFQjCNHq8vDUM1l3XLY_GWNdTWoKTB3ZnA>
    Processing Twisted-13.2.0.tar.bz2
    error: Not a recognized archive type:
    /tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

    Looks like the tarball for twisted is corrupt?

    Any ideas?

    Thanks,
    Pete

--
You received this message because you are subscribed to the Google
Groups "Autobahn" group.
To unsubscribe from this group and stop receiving emails from it, send
an email to autobahnws+...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

0 Likes

#6

I got bzip2 installed, but still have the same message:

Actually, since you now have bzip2 installed, you can unpackage the Twisted source distro also (no need for the gz):

wget --no-check-certificate https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

tar cvjf Twisted-13.2.0.tar.bz2
..

The only difference to the other commands in my other mail: the 'j' instead of 'z' with the tar command ..

0 Likes

#7

Ok, finally got the zope.interface easy_installed, but then when I go back to install in the autobahn directory i get:

Using /usr/lib/python2.7/site-packages/zope.interface-4.0.5-py2.7-linux-mips.egg

Processing dependencies for zope.interface

Finished processing dependencies for zope.interface

root@peteyun:/mnt/sda1/arduino/AutobahnPython/Twisted-13.2.0# ls

CONTRIBUTING bin doc

root@peteyun:/mnt/sda1/arduino/AutobahnPython/Twisted-13.2.0# python setup.py in

stall

python: can’t open file ‘setup.py’: [Errno 2] No such file or directory

root@peteyun:/mnt/sda1/arduino/AutobahnPython/Twisted-13.2.0# cd …

root@peteyun:/mnt/sda1/arduino/AutobahnPython# ls

CONTRIBUTORS README.md autobahn examples

LICENSE Twisted-13.2.0 doc

root@peteyun:/mnt/sda1/arduino/AutobahnPython# cd autobahn

root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn# python setup.py install

running install

running bdist_egg

running egg_info

writing requirements to autobahn.egg-info/requires.txt

error: autobahn.egg-info/requires.txt: Read-only file system

root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn#

···

On Saturday, November 23, 2013 4:09:28 PM UTC-5, Peter Kalajian wrote:

following the directions to install autobahn, when I get to the python setup.py install, i get the following error message:

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

error: Not a recognized archive type: /tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

Looks like the tarball for twisted is corrupt?

Any ideas?

Thanks,

Pete

0 Likes

#8

Hi Peter,

It seems you haven't unpacked the archive correctly or mixed up files or whatever. Do you have any Unix experience? You must do as follows:

cd /mnt/sda1/
tar xvzf Twisted-13.2.0.tar.gz
cd Twisted-13.2.0
python setup.py install

The tar archive contains >1500 files (see below). And it has a setup.py. Definitely.

But anyway, this is basic Unix stuff .. it has nothing to do with Autobahn.

I guess you'll have more issues .. the "read only filesystem" .. if you install into system paths, you'll need to do so as root (sudo). But again, Unix.

I have just looked at the Arduino Y�n .. it has 64MB Ram and 32MB Flash as far as I can see and runs Mips@400MHz with OpenWRT. This device should be able to run Autobahn/Twisted. I'm pretty sure, but I don't have such device. Looks neat though ..

/Tobias

oberstet@THINKPAD-T410S ~/Downloads
$ ls -la Twisted-13.2.0
total 101
drwxr-xr-x 1 oberstet Administ 4096 Nov 23 22:16 .
dr-xr-xr-x 1 oberstet Administ 12288 Nov 23 22:46 ..
-rw-r--r-- 1 oberstet Administ 64 Sep 9 19:46 .gitignore
-rw-r--r-- 1 oberstet Administ 609 Aug 30 03:25 CONTRIBUTING
-rw-r--r-- 1 oberstet Administ 1041 Aug 27 2012 INSTALL
-rw-r--r-- 1 oberstet Administ 1686 Sep 8 11:25 LICENSE
-rw-r--r-- 1 oberstet Administ 155575 Oct 29 11:31 NEWS
-rw-r--r-- 1 oberstet Administ 3898 Oct 29 11:31 README
drwxr-xr-x 13 oberstet Administ 4096 Nov 23 22:16 bin
drwxr-xr-x 13 oberstet Administ 4096 Nov 23 22:16 doc
-rwxr-xr-x 1 oberstet Administ 1657 Dec 20 2012 setup.py
-rwxr-xr-x 1 oberstet Administ 9113 Oct 14 08:46 setup3.py
drwxr-xr-x 30 oberstet Administ 4096 Nov 23 22:16 twisted

oberstet@THINKPAD-T410S ~/Downloads
$ find Twisted-13.2.0 | wc -l
    1577

···

Am 23.11.2013 23:48, schrieb Peter Kalajian:

Ok, finally got the zope.interface easy_installed, but then when I go
back to install in the autobahn directory i get:

Using
/usr/lib/python2.7/site-packages/zope.interface-4.0.5-py2.7-linux-mips.egg
Processing dependencies for zope.interface
Finished processing dependencies for zope.interface
root@peteyun:/mnt/sda1/arduino/AutobahnPython/Twisted-13.2.0# ls
CONTRIBUTING bin doc
root@peteyun:/mnt/sda1/arduino/AutobahnPython/Twisted-13.2.0# python
setup.py in
stall
python: can't open file 'setup.py': [Errno 2] No such file or directory
root@peteyun:/mnt/sda1/arduino/AutobahnPython/Twisted-13.2.0# cd ..
root@peteyun:/mnt/sda1/arduino/AutobahnPython# ls
CONTRIBUTORS README.md autobahn examples
LICENSE Twisted-13.2.0 doc
root@peteyun:/mnt/sda1/arduino/AutobahnPython# cd autobahn
root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn# python setup.py
install
running install
running bdist_egg
running egg_info
writing requirements to autobahn.egg-info/requires.txt
error: autobahn.egg-info/requires.txt: Read-only file system
root@peteyun:/mnt/sda1/arduino/AutobahnPython/autobahn#

On Saturday, November 23, 2013 4:09:28 PM UTC-5, Peter Kalajian wrote:

    following the directions to install autobahn, when I get to the
    python setup.py install, i get the following error message:

    Downloading
    https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79
    <https://www.google.com/url?q=https%3A%2F%2Fpypi.python.org%2Fpackages%2Fsource%2FT%2FTwisted%2FTwisted-13.2.0.tar.bz2%23md5%3D83fe6c0c911cc1602dbffb036be0ba79&sa=D&sntz=1&usg=AFQjCNHq8vDUM1l3XLY_GWNdTWoKTB3ZnA>
    Processing Twisted-13.2.0.tar.bz2
    error: Not a recognized archive type:
    /tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

    Looks like the tarball for twisted is corrupt?

    Any ideas?

    Thanks,
    Pete

--
You received this message because you are subscribed to the Google
Groups "Autobahn" group.
To unsubscribe from this group and stop receiving emails from it, send
an email to autobahnws+...@googlegroups.com.
For more options, visit https://groups.google.com/groups/opt_out.

0 Likes

#9

Tobias,

Thanks for all your help so far. I returned my Arduino to the default state and have been rebuilding the packages one by one. Heres the latest problem:

root@peteyun:/mnt/sda1/arduino/AutoBahnPython# easy_install autobahn

Searching for autobahn

Reading http://pypi.python.org/simple/autobahn/

Best match: autobahn 0.6.5

Downloading https://pypi.python.org/packages/2.7/a/autobahn/autobahn-0.6.5-py2.7.egg#md5=ef4a3ed141529e537b9baf7930de0d7f

Processing autobahn-0.6.5-py2.7.egg

creating /usr/lib/python2.7/site-packages/autobahn-0.6.5-py2.7.egg

Extracting autobahn-0.6.5-py2.7.egg to /usr/lib/python2.7/site-packages

Adding autobahn 0.6.5 to easy-install.pth file

Installed /usr/lib/python2.7/site-packages/autobahn-0.6.5-py2.7.egg

Processing dependencies for autobahn

Searching for Twisted>=11.1

Reading http://pypi.python.org/simple/Twisted/

Best match: Twisted 13.2.0

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

Running Twisted-13.2.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-deJBns/Twisted-13.2.0/egg-dist-tmp-Ig8exT

unable to execute mips-openwrt-linux-uclibc-gcc: No such file or directory

unable to execute mips-openwrt-linux-uclibc-gcc: No such file or directory

error: Setup script exited with error: command ‘mips-openwrt-linux-uclibc-gcc’ failed with exit status 1

Any ideas?

···

On Saturday, November 23, 2013 4:09:28 PM UTC-5, Peter Kalajian wrote:

following the directions to install autobahn, when I get to the python setup.py install, i get the following error message:

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

error: Not a recognized archive type: /tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

Looks like the tarball for twisted is corrupt?

Any ideas?

Thanks,

Pete

0 Likes

#10

Finally got autobahn installed: for the record: I easy_installed autobahn, and when the errors showed up installing twisted, I did another easy_install for zope.interface and even with the error messages, i can now import autobahn in python. Thanks for all your help and this may be of use to others trying to get autbahn installed on the yun

Cheers,

Pete

root@peteyun:/# easy_install autobahn

Searching for autobahn

Best match: autobahn 0.6.5

Processing autobahn-0.6.5-py2.7.egg

autobahn 0.6.5 is already the active version in easy-install.pth

Using /usr/lib/python2.7/site-packages/autobahn-0.6.5-py2.7.egg

Processing dependencies for autobahn

Searching for Twisted>=11.1

Reading http://pypi.python.org/simple/Twisted/

Best match: Twisted 13.2.0

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

Running Twisted-13.2.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-A07FVK/Twisted-13.2.0/egg-dist-tmp-EcspRb

unable to execute mips-openwrt-linux-uclibc-gcc: No such file or directory

unable to execute mips-openwrt-linux-uclibc-gcc: No such file or directory

error: Setup script exited with error: command ‘mips-openwrt-linux-uclibc-gcc’ failed with exit status 1

root@peteyun:/# python

Python 2.7.3 (default, Aug 8 2013, 22:36:42)

[GCC 4.6.4 20121210 (prerelease)] on linux2

Type “help”, “copyright”, “credits” or “license” for more information.

import autobahn

Traceback (most recent call last):

File “”, line 1, in

File “/usr/lib/python2.7/site-packages/autobahn-0.6.5-py2.7.egg/autobahn/init.py”, line 24, in

import flashpolicy

File “/usr/lib/python2.7/site-packages/autobahn-0.6.5-py2.7.egg/autobahn/flashpolicy.py”, line 24, in

from twisted.internet.protocol import Protocol, Factory

File “/usr/lib/python2.7/site-packages/twisted/init.py”, line 22, in

raise ImportError("you need zope.interface installed "

ImportError: you need zope.interface installed (http://zope.org/Products/ZopeInterface/)

exit()

root@peteyun:/# easy_install zope.interface

Searching for zope.interface

Reading http://pypi.python.org/simple/zope.interface/

Best match: zope.interface 4.0.5

Downloading https://pypi.python.org/packages/source/z/zope.interface/zope.interface-4.0.5.zip#md5=caf26025ae1b02da124a58340e423dfe

Processing zope.interface-4.0.5.zip

Running zope.interface-4.0.5/setup.py -q bdist_egg --dist-dir /tmp/easy_install-Xhu3Bp/zope.interface-4.0.5/egg-dist-tmp-iFg1SN

warning: no previously-included files matching ‘*.dll’ found anywhere in distribution

warning: no previously-included files matching ‘*.pyc’ found anywhere in distribution

warning: no previously-included files matching ‘*.pyo’ found anywhere in distribution

warning: no previously-included files matching ‘*.so’ found anywhere in distribution

unable to execute mips-openwrt-linux-uclibc-gcc: No such file or directory

···

WARNING:

An optional code optimization (C extension) could not be compiled.

Optimizations for this package will not be available!

()

command ‘mips-openwrt-linux-uclibc-gcc’ failed with exit status 1


Adding zope.interface 4.0.5 to easy-install.pth file

Installed /usr/lib/python2.7/site-packages/zope.interface-4.0.5-py2.7-linux-mips.egg

Processing dependencies for zope.interface

Finished processing dependencies for zope.interface

root@peteyun:/# python

Python 2.7.3 (default, Aug 8 2013, 22:36:42)

[GCC 4.6.4 20121210 (prerelease)] on linux2

Type “help”, “copyright”, “credits” or “license” for more information.

import autobahn

autobahn -v

Traceback (most recent call last):

File “”, line 1, in

NameError: name ‘v’ is not defined

print autobahn.version

0.6.5

On Saturday, November 23, 2013 4:09:28 PM UTC-5, Peter Kalajian wrote:

following the directions to install autobahn, when I get to the python setup.py install, i get the following error message:

Downloading https://pypi.python.org/packages/source/T/Twisted/Twisted-13.2.0.tar.bz2#md5=83fe6c0c911cc1602dbffb036be0ba79

Processing Twisted-13.2.0.tar.bz2

error: Not a recognized archive type: /tmp/easy_install-Zv2onB/Twisted-13.2.0.tar.bz2

Looks like the tarball for twisted is corrupt?

Any ideas?

Thanks,

Pete

0 Likes

#11

unable to execute mips-openwrt-linux-uclibc-gcc: No such file or directory

It doesn't find the C compiler. Either you get the GCC toolchain on your Yun or you need to cross-compile for Mips/Yun on your desktop. I guess for the latter you'll need some experience.

/Tobias

0 Likes